<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <meta name="author" content="KELBERT Paul">
  
  <link rel="shortcut icon" href="img/favicon.ico">
  <title>Technologies - Covid Data +</title>
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700" />

  <link rel="stylesheet" href="css/theme.css" />
  <link rel="stylesheet" href="css/theme_extra.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/styles/github.min.css" />
  
  <script>
    // Current page data
    var mkdocs_page_name = "Technologies";
    var mkdocs_page_input_path = "librairies.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="js/jquery-2.1.1.min.js" defer></script>
  <script src="js/modernizr-2.8.3.min.js" defer></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.5.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
        <a href="index.html" class="icon icon-home"> Covid Data +</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="./search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="index.html">Présentation générale</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="install.html">Manuel d'installation</a>
                    </li>
                </ul>
                <ul class="current">
                    <li class="toctree-l1 current"><a class="reference internal current" href="librairies.html">Technologies</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#liste">Liste</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#api">API</a>
        <ul>
    <li class="toctree-l3"><a class="reference internal" href="#liste-des-departements">Liste des départements</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#donnees-du-covid">Données du covid</a>
    </li>
        </ul>
    </li>
    </ul>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="problems.html">Problèmes rencontrés</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="use.html">Manuel d'utilisation</a>
                    </li>
                </ul>
                <ul>
                    <li class="toctree-l1"><a class="reference internal" href="infos.html">Analyse</a>
                    </li>
                </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">Covid Data +</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
    
      
    
    <li>Technologies</li>
    <li class="wy-breadcrumbs-aside">
      
        <a href="https://gitlab.com/m9215/paoo/covid/edit/master/docs/librairies.md"
          class="icon icon-gitlab"
        > Edit on GitLab</a>
      
    </li>
  </ul>
  
  <hr/>
</div>

          <div role="main">
            <div class="section">
              
                <h1 id="librairies-utilisees">Librairies utilisées</h1>
<p>Toutes les librairies (ou dépendences) sont importées à partir du logiciel <a href="https://maven.apache.org/">Maven</a>.</p>
<h2 id="liste">Liste</h2>
<ul>
<li><strong>JAVA FX</strong> : utilisée pour le design global de l'application. <a href="https://openjfx.io/"><em>Plus d'information...</em></a></li>
<li><strong>Google GSON</strong> : utilisée pour la déserialisation des données JSON. <a href="https://github.com/google/gson"><em>Plus d'informations...</em></a></li>
</ul>
<hr />
<h2 id="api">API</h2>
<h3 id="liste-des-departements">Liste des départements</h3>
<p><em>API officielle du gouvernement</em></p>
<pre><code class="language-html">GET https://geo.api.gouv.fr/departements?fields=nom,code,codeRegion
</code></pre>
<table>
<thead>
<tr>
<th align="left">Attributs</th>
<th align="left">Description</th>
<th align="left">Type</th>
</tr>
</thead>
<tbody>
<tr>
<td align="left"><code>code</code></td>
<td align="left">Code (INSEE) du département</td>
<td align="left"><code>string</code></td>
</tr>
<tr>
<td align="left"><code>codeRegion</code></td>
<td align="left">Code de la région associée</td>
<td align="left"><code>string</code></td>
</tr>
<tr>
<td align="left"><code>nom</code></td>
<td align="left">Nom du département</td>
<td align="left"><code>string</code></td>
</tr>
</tbody>
</table>
<hr />
<h3 id="donnees-du-covid">Données du covid</h3>
<p><em>API non officielle, données issues des données du gouvernement</em></p>
<pre><code class="language-html">GET https://coronavirusapifr.herokuapp.com/data
</code></pre>
<p>Pour récupérer les données souhaitées, j'ai utilisé une API Github (<a href="https://github.com/florianzemma/CoronavirusAPI-France">CoronavirusAPI-France</a>), qui me permet de récupérer facilement les données que ce soit en fonction de la région, ou d'un ensemble de dates. Le principal point positif d'avoir utilisé ça plutôt que des fichiers CSV est la qualité des données. En effet, avec les API nous pouvons, sans modifier les fichiers de l'application, avoir accès aux données de la veille.</p>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="problems.html" class="btn btn-neutral float-right" title="Problèmes rencontrés">Next <span class="icon icon-circle-arrow-right"></span></a>
      
      
        <a href="install.html" class="btn btn-neutral" title="Manuel d'installation"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
      <p>© KELBERT Paul 2022</p>
    
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
        <span>
          <a href="https://gitlab.com/m9215/paoo/covid/" class="icon icon-gitlab" style="color: #fcfcfc"> GitLab</a>
        </span>
    
    
      <span><a href="install.html" style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
      <span><a href="problems.html" style="color: #fcfcfc">Next &raquo;</a></span>
    
  </span>
</div>
    <script>var base_url = '.';</script>
    <script src="js/theme_extra.js" defer></script>
    <script src="js/theme.js" defer></script>
      <script src="search/main.js" defer></script>
    <script defer>
        window.onload = function () {
            SphinxRtdTheme.Navigation.enable(true);
        };
    </script>

</body>
</html>
